# Need to fix
# Bugs:
#	767596 mailman list archive links not working with virtual hosts
#	815297 Breaking signatures in message/rfc822 attachement!
Name: mailman
Version: 2.1.5
Release: alt3
Epoch: 3

%define mm_user %name
%define mm_group %name
%define mm_admgrp mailmanadm
%define cgi_group apache

%define contentdir /var/www
%define httpdconfdir %_sysconfdir/httpd/conf/addon-modules
%define crontabdir %_sysconfdir/cron.d
%define logrotate %_sysconfdir/logrotate.d

%define _prefix /usr/share/%name
%define _exec_prefix /usr/lib/%name
%define _var_prefix %_localstatedir/%name

%add_python_lib_path %_prefix %_prefix/Mailman %_prefix/pythonlib %_var_prefix/etc

Summary: Mailing list manager with built in web access
License: GPL
Group: System/Servers
Url: http://www.list.org/

# http://prdownloads.sourceforge.net/%name/%name-%version.tar.tgz
Source: %name-%version.tgz
Source1: mm_cfg.py
Source2: README.ALT
Source3: %name-httpd.conf
Source4: %name.logrotate
Source5: %name.crontab
Source6: %name.init
Source7: mailman-ftt0.3.po
Source8: mm_config.py
Source9: mailman.wrapper

Patch5: %name-2.1.2-alt-email.patch
Patch6: %name-2.1.4-alt-adm.patch
# 670167
Patch10: Scrubber.py.patch.030224.txt
Patch11: email-2.5.5-alt-charset.patch
Patch12: mailman-2.1.4-alt-umask.patch
Patch13: mailman-2.1.4-alt-group.patch

PreReq: mktemp >= 1:1.3.1, setup >= 2.2.0-alt3, shadow-utils, sendmail-common, vixie-cron
Requires: webserver, python = %__python_version

BuildRequires: python-devel = %__python_version

%description
Mailman, the GNU Mailing List Management System, is a mailing list
management system written mostly in Python. Features:
- Web based list administration for nearly all tasks.  Web based            
  subscriptions and user configuration management.  A customizable          
  "home page" for each mailing list.                                        
- Privacy features such as moderation, open and closed list                 
  subscription policies, private membership rosters, and                    
  sender-based filters.                                                     
- Automatic web based archiving built-in with support for private           
  and public archives, and hooks for external archivers.                    
- Per-user configuration optional digest delivery for either                
  MIME-compliant or RFC 1153 style "plain text" digests.                    
- Integrated mail/Usenet gateways.                                          
- Integrated auto-replies.                                                  
- Majordomo-style email based commands.                                     
- Integrated bounce detection within an extensible framework.               
- Integrated spam detection, and MIME-based content filtering.              
- An extensible mail delivery pipeline.                                     
- Support for virtual domains.                                              

See the Mailman home site for current status, including new releases
and known problems: %url

%prep
%setup -q
%__install -pD -m644 %SOURCE1 Mailman/mm_cfg.py
%__install -pD -m644 %SOURCE2 README.ALT
%__install -pD -m644 %SOURCE7 messages/ru/LC_MESSAGES/mailman.po

%patch5 -p1
%patch6 -p1
pushd misc
%__tar xfz email-2.5.5.tar.gz
%patch11 -p0
popd
%patch12 -p1
%patch13 -p1

%build
autoreconf -fisv
%configure \
	--with-var-prefix=%_var_prefix \
	--with-python=%__python \
	--with-mail-gid=%mm_group \
	--with-cgi-gid=%cgi_group \
	--with-mailhost=localhost.localdomain \
	--with-urlhost=localhost.localdomain \
	--without-permcheck

%make_build OPT="$RPM_OPT_FLAGS"

%install
find bin -type f -print0 |
	xargs -r0 %__grep -Zl '%__python$' |
	xargs -r0 %__subst 's|%__python$|%__python -O|g'

%make_install doinstall \
	prefix=$RPM_BUILD_ROOT%prefix \
	exec_prefix=$RPM_BUILD_ROOT%_exec_prefix \
	var_prefix=$RPM_BUILD_ROOT%_var_prefix

chmod -R go-w $RPM_BUILD_ROOT{%prefix,%_exec_prefix}
find $RPM_BUILD_ROOT{%prefix,%_exec_prefix} -type d -print0 |
	xargs -r0 chmod a-s,o-r
chmod a-s,go-r $RPM_BUILD_ROOT%_var_prefix

# Create directories we'll use for log and spool files. Create links
%__install -d -m2771 $RPM_BUILD_ROOT%_logdir/%name
%__install -d -m2770 $RPM_BUILD_ROOT%_spooldir/%name
%__install -d -m2771 $RPM_BUILD_ROOT%_spooldir/%name/{archive,bounces,commands,in,news,out,qfiles,retry,shunt,virgin}

rmdir $RPM_BUILD_ROOT%_var_prefix/{logs,qfiles}
ln -s ../../log/%name $RPM_BUILD_ROOT%_var_prefix/logs
ln -s ../../spool/%name $RPM_BUILD_ROOT%_var_prefix/qfiles

# Copy an icons into the web server's icons directory.
%__mkdir_p $RPM_BUILD_ROOT%contentdir
%__mv $RPM_BUILD_ROOT%prefix/icons $RPM_BUILD_ROOT%contentdir/

# Install a logrotate control file.
%__install -pD -m644 %SOURCE4 \
	$RPM_BUILD_ROOT%logrotate/%name

# Install the httpd configuration file.
%__install -pD -m644 /dev/null $RPM_BUILD_ROOT%httpdconfdir/%name.conf
%__sed -e 's|@CODEDIR@|%_exec_prefix|g;s|@DATADIR@|%_var_prefix|g' \
	%SOURCE3 > $RPM_BUILD_ROOT%httpdconfdir/%name.conf

# Install crontab file
%__install -pD -m644 %SOURCE5 $RPM_BUILD_ROOT%crontabdir/%name

# Install init script
%__install -pD -m755 %SOURCE6 $RPM_BUILD_ROOT%_initdir/%name
%__install -pD -m755 %SOURCE9 $RPM_BUILD_ROOT%prefix/bin/wrapper.sh

# Install config files for postfix
%__install -pD -m644 %SOURCE8 $RPM_BUILD_ROOT%_var_prefix/etc/mm_config.py
%__install -pD -m644 /dev/null $RPM_BUILD_ROOT%_var_prefix/etc/aliases
%__install -pD -m644 /dev/null $RPM_BUILD_ROOT%_var_prefix/etc/virtual-mailman
%__install -pD -m644 /dev/null $RPM_BUILD_ROOT%_var_prefix/etc/aliases.db
%__install -pD -m644 /dev/null $RPM_BUILD_ROOT%_var_prefix/etc/virtual-mailman.db

# Remove unused files
%__rm -f $RPM_BUILD_ROOT%_var_prefix/data/sitelist.cfg

%pre
/usr/sbin/groupadd -rf %mm_admgrp
/usr/sbin/groupadd -rf %mm_group
/usr/sbin/useradd -M -r -s /dev/null -c "GNU Mailing List Manager" -d %_var_prefix -g %mm_group %mm_user &>/dev/null ||:

%post
%post_service mailman
echo "Please modify your /etc/postfix/main.cf file like this:"
echo " alias_maps = hash:/etc/postfix/aliases,hash:/var/lib/mailman/etc/aliases"
echo " virtual_maps = hash:/etc/postfix/virtual,hash:/var/lib/mailman/etc/virtual-mailman"
echo "Update database:"
su -l mailman -s /bin/sh -c /usr/share/mailman/bin/update

%preun
%preun_service mailman

%files
%config(noreplace) %logrotate/%name
%config(noreplace) %httpdconfdir/%name.conf
%config(noreplace) %crontabdir/%name
%attr(0755,root,root) %_initdir/%name
%contentdir/icons/*
%dir %prefix
%prefix/bin
%prefix/cron
%prefix/Mailman
%prefix/messages
%prefix/pythonlib
%prefix/scripts
%prefix/templates
%prefix/tests
%doc ACKNOWLEDGMENTS BUGS FAQ INSTALL NEWS README* TODO UPGRADING misc/sitelist.cfg tests

%defattr(-,root,%name,-)
%_exec_prefix
%dir %attr(0751,root,mailman) %_var_prefix
%dir %_var_prefix/archives
%dir %_var_prefix/archives/*
%dir %_var_prefix/spam
%dir %_var_prefix/locks
%dir %_var_prefix/lists
%dir %_var_prefix/data
%dir %attr(2771,root,%mm_admgrp) %_var_prefix/etc
%config(noreplace) %attr(0664,root,%mm_admgrp) %_var_prefix/etc/mm_config.*
%config(noreplace) %attr(0664,root,%mm_admgrp) %_var_prefix/etc/aliases
%config(noreplace) %attr(0664,root,%mm_admgrp) %_var_prefix/etc/virtual-mailman
%ghost %_var_prefix/etc/aliases.db
%ghost %_var_prefix/etc/virtual-mailman.db
%_var_prefix/logs
%_var_prefix/qfiles
%_logdir/%name
%dir %_spooldir/%name
%dir %_spooldir/%name/*

%changelog
* Fri May 28 2004 Igor Muratov <migor@altlinux.org> 3:2.1.5-alt3
- Fixed a bug #2821 for restart method

* Mon May 24 2004 Igor Muratov <migor@altlinux.org> 3:2.1.5-alt2
- Fix dependencies
- Spec cleanup

* Thu May 20 2004 Igor Muratov <migor@altlinux.org> 3:2.1.5-alt1
- New version

* Tue Mar 23 2004 Igor Muratov <migor@altlinux.org> 3:2.1.4-alt4
- Rebuild with python23
- Spec cleanup

* Mon Mar 22 2004 Igor Muratov <migor@altlinux.org> 3:2.1.4-alt3
- Start/stop mailman with wrapper script

* Sat Mar 13 2004 Igor Muratov <migor@altlinux.ru> 3:2.1.4-alt2
- mm_cfg.py file moved to /var/lib/mailman/etc/mm_config.py
- fix permissions for /usr/share/mailman/*
- fix permissions for /var/lib/mailman
- fix permissions for /var/lib/mailman/etc/*
- fix initscript
- remove dependency to himself
- remove dependency to kernel headers
- remove old post- and pre- scripts
- remove alias_database at postfix config
- remove old patches
- add patch12
- add patch13
- add README.ALT

* Thu Jan 15 2004 Igor Muratov <migor@altlinux.ru> 3:2.1.4-alt1
- Fixed a XSS error in the admin script
- Fixed a bug 818752 Changing option via email not work
- Fixed a bug 826775 Change URL for submit buttons
- Translation to russian language by fattie

* Fri Nov 11 2003 Igor Muratov <migor@altlinux.ru> 3:2.1.3-alt2
- Fix illegal links in admin web-interface
- Fix crash when illegal charset in header detected
- Fix crash when illegal coding in header detected

* Fri Aug 17 2003 Igor Muratov <migor@altlinux.ru> 3:2.1.3-alt1
- New version
- Removed patch for defaults
- Removed patch for absolute url fix
- Added Scrubber patch 670167

* Wed Aug  6 2003 Igor Muratov <migor@altlinux.ru> 3:2.1.2-alt2
- spec cleanup
- add condstart/condstop to init

* Sat Aug  2 2003 Igor Muratov <migor@altlinux.ru> 3:2.1.2-alt1
- new version
- spec cleanup
- patch to fix absolute url
- base64 patch replaced by email patch
- patch 667026 - HyperArch.py unicode substitution
- patch 755045 - Discard_All button for pending posts administration
- update mm_cfg.py file

* Thu Mar  4 2003 Igor Muratov <migor@altlinux.ru> 3:2.1.1-alt3
- fix mailman site list defaults at mm_cfg.py

* Sat Mar  1 2003 Igor Muratov <migor@altlinux.ru> 3:2.1.1-alt2
- fix comment at %post script

* Mon Feb 10 2003 Igor Muratov <migor@altlinux.ru> 3:2.1.1-alt1
- build new version
- Closed a cross-site scripting vulnerability in the user options page.
- Restore the ability to control which headers show up in messages
  included in plaintext and MIME digests. See the variables
  PLAIN_DIGEST_KEEP_HEADERS and MIME_DIGEST_KEEP_HEADERS in
  Defaults.py.
- Messages included in the plaintext digests are now sent through
  the scrubber to remove (and archive) attachments.  Otherwise,
  attachments would screw up plaintext digests. MIME digests
  include the attachments inline.

* Tue Feb 06 2003 Igor Muratov <migor@altlinux.ru> 3:2.1-alt1
- build new version
- Added initscript
- Added symlink to logs
- Added symlink to spool
- Moved httpd addon config to /etc/httpd/conf/addon-modules/
- Moved crontab to /etc/cron.d
- Removed symlink /etc/smrsh/wrapper
- Patch for postfix virtual maps
- Patch for email library

* Mon Nov 18 2002 Rider <rider@altlinux.ru> 3:2.0.13-alt2
- rebuild

* Thu Aug 15 2002 Dmitry V. Levin <ldv@altlinux.org> 3:2.0.13-alt1
- 2.0.13
- Relocated log directory from %_var_prefix/logs to %_logdir/%name.
- Relocated queue directory from %_var_prefix/qfiles to %_spooldir/%name/qfiles.
- Added logrotate script.
- Added %httpdconfdir/%name.conf, updated INSTALL instructions.
- Added more READMEs.

* Fri Aug 09 2002 Dmitry V. Levin <ldv@altlinux.org> 3:2.0.12-alt2
- Rebuilt to fix perms.

* Wed Jul 17 2002 Dmitry V. Levin <ldv@altlinux.org> 3:2.0.12-alt1
- 2.0.12

* Thu May 23 2002 Dmitry V. Levin <ldv@altlinux.org> 3:2.0.11-alt1
- 2.0.11

* Tue Apr 30 2002 Dmitry V. Levin <ldv@alt-linux.org> 3:2.0.10-alt1
- 2.0.10
- Added one more check for postman user.

* Thu Apr 04 2002 Dmitry V. Levin <ldv@alt-linux.org> 3:2.0.9-alt1
- Updated code to 2.0.9
- Set explicit versioned provides on setup which defines group "postman".
- Added special check for postman group at %%pre stage.

* Wed Feb 13 2002 Dmitry V. Levin <ldv@alt-linux.org> 3:2.0.8-alt5
- Changed mail_group from nobody to postman (#0000607).
- Set explicit versioned dependence on postfix.
- Set more strict permissions on %prefix and %_exec_prefix subdirectories.

* Tue Jan 29 2002 Stanislav Ievlev <inger@altlinux.ru> 3:2.0.8-alt4
- rebuilt with new python

* Thu Dec 13 2001 Dmitry V. Levin <ldv@alt-linux.org> 3:2.0.8-alt1
- 2.0.8 (security fix release to prevent cross-site scripting exploits.)

* Thu Nov 15 2001 Dmitry V. Levin <ldv@alt-linux.org> 3:2.0.7-alt1
- 2.0.7

* Wed Jun 27 2001 Stanislav Ievlev <inger@altlinux.ru> 2.0.5-alt3
- Rebuilt with python-2.1

* Mon May 07 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.0.5-alt2
- Fixed broken symlink /etc/smrsh/wrapper (#27).

* Mon May 07 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.0.5-alt1
- 2.0.5

* Thu Apr 26 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.0.4-alt1
- 2.0.4
- Updated install hints.

* Tue Mar 13 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.0.3-ipl1
- 2.0.3

* Fri Mar 09 2001 Dmitry V. Levin <ldv@fandra.org> 2.0.2-ipl1
- 2.0.2
- Enhanced FHSification.

* Fri Feb 02 2001 Dmitry V. Levin <ldv@fandra.org> 2.0.1-ipl2
- Fixed %%post script.

* Tue Jan 09 2001 Dmitry V. Levin <ldv@fandra.org> 2.0.1-ipl1
- 2.0.1

* Sat Dec 16 2000 Dmitry V. Levin <ldv@fandra.org> 2.0-ipl2
- Updated description (MDK).
- Patched Defaults.py.
- Rebuild with new brp-python policy.

* Thu Nov 23 2000 Dmitry V. Levin <ldv@fandra.org> 2.0-ipl1
- 2.0 release.

* Thu Sep 28 2000 Dmitry V. Levin <ldv@fandra.org> 2.0beta6-ipl1
- 2.0beta6.

* Thu Sep 07 2000 Dmitry V. Levin <ldv@fandra.org> 2.0beta5-ipl1
- RE adaptions

* Thu Aug  3 2000 Nalin Dahyabhai <nalin@redhat.com>
- add note about adding FollowSymlinks so that archives work

* Wed Aug  2 2000 Nalin Dahyabhai <nalin@redhat.com>
- make the default owner root again so that root owns the docs
- update to 2.0beta5, which fixes a possible security vulnerability
- add smrsh symlink

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Wed Jul 19 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to beta4
- change uid/gid to apache.apache to match apache (#13593)
- properly recompile byte-compiled versions of the scripts (#13619)
- change mailman alias from root to postmaster

* Sat Jul  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to beta3
- drop bugs and arch patches (integrated into beta3)

* Tue Jun 27 2000 Nalin Dahyabhai <nalin@redhat.com>
- move web files to reside under %contentdir
- move files from /usr/share to %%_datadir
- integrate spot-fixes from mailman lists via gnome.org

* Mon Jun 19 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild for Power Tools

* Wed May 23 2000 Nalin Dahyabhai <nalin@redhat.com>
- Update to 2.0beta2 to pick up security fixes.
- Change Requires: python to list >= 1.5.2

* Mon Nov  8 1999 Bernhard Rosenkrnzer <bero@redhat.com>
- 1.1

* Tue Sep 14 1999 Preston Brown <pbrown@redhat.com>
- 1.0 final.

* Tue Jun 15 1999 Preston Brown <pbrown@redhat.com>
- security fix for cookies
- moved to /usr/share/mailman

* Fri May 28 1999 Preston Brown <pbrown@redhat.com>
- fix up default values.

* Fri May 07 1999 Preston Brown <pbrown@redhat.com>
- modifications to install scripts

* Thu May 06 1999 Preston Brown <pbrown@redhat.com>
- initial RPM for SWS 3.0
