# -*- python -*-

# Copyright (C) 1998,1999,2000,2001,2002 by the Free Software Foundation, Inc.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software 
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

"""This module contains your site-specific settings.

From a brand new distribution it should be copied to mm_cfg.py.  If you
already have an mm_cfg.py, be careful to add in only the new settings you
want.  Mailman's installation procedure will never overwrite your mm_cfg.py
file.

The complete set of distributed defaults, with documentation, are in the file
Defaults.py.  In mm_cfg.py, override only those you want to change, after the

  from Defaults import *

line (see below).

Note that these are just default settings; many can be overridden via the
administrator and user interfaces on a per-list or per-user basis.

"""

###############################################
# Here's where we get the distributed defaults.

from Defaults import *
import pwd, grp

##############################################################
#    Here's where we override shipped defaults with settings #
#    suitable for the RPM package.                           #
MAILMAN_UID = pwd.getpwnam('mailman')[2]
MAILMAN_GID = grp.getgrnam('mailman')[2]

##################################################
# Put YOUR site-specific settings below this line.
MTA = 'Postfix'
MAILMAN_SITE_LIST = None

DEFAULT_SERVER_LANGUAGE = 'en'
DEFAULT_URL_HOST = 'www.example.com'
DEFAULT_EMAIL_HOST = 'example.com'
#DEFAULT_URL_PATTERN = 'https://%s/mailman/'

# Because we've overriden the virtual hosts above add_virtualhost
# MUST be called after they have been defined.
POSTFIX_STYLE_VIRTUAL_DOMAINS = [
        DEFAULT_EMAIL_HOST
        ]

# Next strings is equal
add_virtualhost(DEFAULT_URL_HOST)
#add_virtualhost(DEFAULT_URL_HOST, DEFAULT_EMAIL_HOST)
#add_virtualhost('www.example.com', 'example.com')

